TAAS - Feature #50

Set Main Ledger
09/16/2022 03:04 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 09/17/2022
Priority: Normal Due date: 09/21/2022
Assignee: Shilpa Pavithran % Done: 90%
Category: Estimated time: 30:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Set Main Ledger

Description

Coding Set Main Ledger

List Changes
- Data grid grouping main ledger Type
- Columns - #, Code, Name, Default Main Ledger, Status

History

#1 - 09/16/2022 03:59 PM - Anil KV

GUI Change

- Sale Man tab name changes to Commission Agent

- Customer tab Sale Man to Commission Agent

- Supplier Tab Default Client Act As Main Ledger to Default Client Act As Supplier Main Ledger and Default Supplier Act As Main Ledger to Default
Airline Act As Supplier Main Ledger

-Employee tab rename to Employee(HR), +Default Provision For Leave Salary to Default Provision For Leave Salary Main ledger and Default
Provision For Gratuity Ledger to Default Provision For Gratuity Main Ledger

#2 - 09/16/2022 06:09 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

#3 - 09/23/2022 07:05 PM - Anil KV

Keys

--  CUSTOMER_ML = Default Customer Main Ledger

--  SUPPLIER_ACT_AS_CUSTOMER_ML = Default Supplier Act As Customer Main Ledger

-~ EMPLOYEE_ACT_AS_CUSTOMER_ML = Default Employee Act As Customer Main Ledger
-~ COMMISSION_AGENT_ACT_AS_CUSTOMER_ML = Default Commission Agent Act As Customer Main Ledger
-- SUPPLIER_ML = Default Supplier Main ledger

-~ CLIENT_ACT_AS_SUPPLIER_ML = Default Client Act As Supplier Main Ledger

-~ AIRLINE_ACT_AS_SUPPLIER_ML = Default Airline Act As Supplier Main Ledger

--  PROVISION_FOR_SALARY_ML = Default Provision For Salary Main Ledger

-~ PROVISION_FOR_LEAVE_SALARY = Default Provision For Leave Salary Main Ledger

-- PROVISION_FOR_GRATUITY_ML = Default Provision For Gratuity Main Ledger

#4 - 09/24/2022 11:53 AM - Aparna Mathew
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#5 - 09/27/2022 05:01 PM - Aparna Mathew
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#6 - 11/07/2022 06:14 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUNDED *****
1.SERIAL NUMBERS ARE INCORECTLY DISPLAYED

#7 - 11/10/2022 05:29 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#8 - 06/22/2023 05:20 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Add new selection box on Airline & Commission Agent Tabs

+ in Airline Tab+

Selection box label > Default Airline Act As Account Main Ledger
(Connect all airline related main ledgers)

+ in Commission Agent Tab+

Selection box label >Default Commission Agent Main ledger
>Default Employee Act As Commission Agent Main Ledger

(Connect all Commission Agent related main ledgers)

#9 - 06/25/2023 10:52 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 12/14/2024 06:44 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

- Tested By changed from Amal Cyriac to unnikannan S

#11 - 01/30/2025 02:34 PM - Arathy PS

- Assignee changed from Aparna Mathew to Shilpa Pavithran

#12 - 01/30/2025 02:43 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Can't choose a default main ledger for items in main ledger list.

Solution

Add an edit icon at the end of table for each one after clicking edit a save and reload button should be showing should also have to connect to
corresponding module.

(not applied)
#13 - 02/10/2025 10:47 AM - Shilpa Pavithran
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#14 - 02/19/2025 11:09 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

Files

2-tsModel.ts 1019 Bytes 09/16/2022 Anil KV
1-CsModel.cs 1.14 KB 09/16/2022 Anil KV
3-CsFile.cs 12.5 KB 09/16/2022 Anil KV
4-CsControllerFile.cs 24.6 KB 09/16/2022 Anil KV
5-TsFile.ts 13.6 KB 09/16/2022 Anil KV
6-HtmiFile.html 1.91 KB 09/16/2022 Anil KV
sql.sql 6.51 KB 09/16/2022 Anil KV
